package com.migao.controller;


import com.migao.config.response.PageBean;
import com.migao.config.response.ResponseBean;
import com.migao.config.validation.Insert;
import com.migao.config.validation.Update;
import com.migao.entity.vo.req.*;
import com.migao.entity.vo.res.ProjecmemberQueryRes;
import com.migao.service.ProjecmemberService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import javax.annotation.Resource;
import java.util.List;

@Api(tags = "006.项目成员")
@RestController
@RequestMapping("/projectMember")
public class ProjectMemberController {

    @Resource
    private ProjecmemberService projecmemberService;

    @ApiOperation("增")
    @PostMapping(value = "/insert")
    public ResponseBean<?> insert(
            @Validated(value = {Insert.class}) @RequestBody ProjecmemberInsertReq projecmemberInsertReq
    ) {
        return projecmemberService.insert(projecmemberInsertReq);
    }


    @ApiOperation("删")
    @PostMapping(value = "/deleteById")
    public ResponseBean<?> deleteById(
            @RequestParam Integer id
    ) {
        return projecmemberService.deleteById(id);
    }


    @ApiOperation("删")
    @PostMapping(value = "/deleteBatch")
    public ResponseBean<?> deleteBatch(
            @RequestBody List<Integer> ids
    ) {
        return projecmemberService.deleteBatch(ids);
    }


    @ApiOperation("改")
    @PostMapping(value = "/update")
    public ResponseBean<?> update(
            @Validated(value = {Update.class}) @RequestBody ProjecmemberUpdateReq projecmemberUpdateReq
    ) {
        return projecmemberService.update(projecmemberUpdateReq);
    }


    @ApiOperation("分页查")
    @PostMapping(value = "/pageQuery")
    public ResponseBean<PageBean<ProjecmemberQueryRes>> pageQuery(
            @RequestBody ProjecmemberPageQueryReq projecmemberPageQueryReq
    ) {
        return projecmemberService.pageQuery(projecmemberPageQueryReq);
    }

    @ApiOperation("查")
    @PostMapping(value = "/query")
    public ResponseBean<List<ProjecmemberQueryRes>> query(
            @RequestBody ProjecmemberQueryReq projecmemberQueryReq
    ) {
        return projecmemberService.query(projecmemberQueryReq);
    }

}
